Package com.logicaldoc.core.filler

# Class MockFiller

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.filler.Filler
com.logicaldoc.core.filler.MockFiller

All Implemented Interfaces:
  `Serializable`

@Entity public class MockFiller extends Filler
A Filler that does nothing

Since:
  9.2.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`MockFiller()`

## Method Summary

Modifier and Type
Method
Description
`void`
`fill(Fillable filler, String content, History transaction, Map<String,Object> dictionary)`
Fills an object instance

### Methods inherited from class com.logicaldoc.core.filler.Filler

`equals, fill, getDescription, getLabel, getName, hashCode, isCheckin, isOverwrite, newFiller, setCheckin, setDescription, setLabel, setName, setOverwrite, toString`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MockFiller

public MockFiller()

## Method Details

### fill

public void fill(Fillable filler, String content, History transaction, Map<String,Object> dictionary)
Description copied from class: `Filler`
Fills an object instance

Specified by:
  `fill` in class `Filler`
Parameters:
  `filler` - the instance to fill
  `content` - the content of the object, if not specified it will be taken from the transaction's file.
  `transaction` - the current transaction
  `dictionary` - Dictionary of the execution pipeline